// Extracted from 100D firmware by nkls:
// 1. Run factory menu in QEMU, dump console output to file.
// 2. Enter 'x'. (in factory menu, and it is not listed)
// 3. Enter all items, eg 1, 2, 3, 4.
// 4. Terminate and parse output with: (color signals must be removed)
//    cat bufcon.log | tr '\n' '|' | sed -E 's/\[(GPIO|MPU)\][^|]*\|//g' | tr '|' '\n'
//                   | grep -oE '^[A-Z0-9_ ]{10}0x[0-9A-Z]{8}'
//                   | sed -E 's/^([A-Z0-9_]*)*\s\s*([^\s]*)$/    { \2, "\1" },/'
//                   | sort | uniq > bufcon.h

// #include "hw/eos/bufcon_label.h"
#ifndef BUFCON_LABEL_H
#define BUFCON_LABEL_H
struct bufcon_label
{
	uint32_t address;
	const char * name;
};

static inline const char * get_bufcon_label(const struct bufcon_label * labels, uint32_t address)
{
    while (labels->address != 0)
    {
        if (labels->address == address)
        {
            return labels->name;
        }
        labels++;
    }
    return NULL;
}
#endif

#ifndef BUFCON_LABEL_100D
#define BUFCON_LABEL_100D

// TODO: Now it is in every compilation object...
//       and gives compiled but unused static...
// bufcon_label_100D.c
static struct bufcon_label bufcon_label_100D[] =
{
    { 0xC0220000, "GPIO_0" },
    { 0xC0220004, "GPIO_1" },
    { 0xC0220008, "GPIO_2" },
    { 0xC022000C, "GPIO_3" },
    { 0xC0220010, "GPIO_4" },
    { 0xC0220014, "GPIO_5" },
    { 0xC0220018, "GPIO_6" },
    { 0xC022001C, "GPIO_7" },
    { 0xC0220020, "GPIO_8" },
    { 0xC0220024, "GPIO_9" },
    { 0xC0220028, "GPIO_10" },
    { 0xC022002C, "GPIO_11" },
    { 0xC0220030, "GPIO_12" },
    { 0xC0220034, "GPIO_13" },
    { 0xC0220038, "GPIO_14" },
    { 0xC022003C, "GPIO_15" },
    { 0xC0220040, "GPIO_16" },
    { 0xC0220044, "GPIO_17" },
    { 0xC0220048, "GPIO_18" },
    { 0xC022004C, "GPIO_19" },
    { 0xC0220050, "GPIO_20" },
    { 0xC0220054, "GPIO_21" },
    { 0xC0220058, "GPIO_22" },
    { 0xC022005C, "GPIO_23" },
    { 0xC0220060, "GPIO_24" },
    { 0xC0220064, "GPIO_25" },
    { 0xC0220068, "GPIO_26" },
    { 0xC022006C, "GPIO_27" },
    { 0xC0220070, "GPIO_28" },
    { 0xC0220074, "GPIO_29" },
    { 0xC0220078, "GPIO_30" },
    { 0xC022007C, "GPIO_31" },
    { 0xC0220080, "GPIO_32" },
    { 0xC0220084, "GPIO_33" },
    { 0xC0220088, "GPIO_34" },
    { 0xC022008C, "GPIO_35" },
    { 0xC0220090, "GPIO_36" },
    { 0xC0220094, "GPIO_37" },
    { 0xC0220098, "GPIO_38" },
    { 0xC022009C, "GPIO_39" },
    { 0xC02200A0, "GPIO_40" },
    { 0xC02200A4, "GPIO_41" },
    { 0xC02200A8, "GPIO_42" },
    { 0xC02200AC, "GPIO_43" },
    { 0xC02200B0, "GPIO_44" },
    { 0xC02200B4, "GPIO_45" },
    { 0xC02200B8, "GPIO_46" },
    { 0xC02200BC, "GPIO_47" },
    { 0xC02200C0, "GPIO_48" },
    { 0xC02200C4, "GPIO_49" },
    { 0xC02200C8, "GPIO_50" },
    { 0xC02200CC, "GPIO_51" },
    { 0xC02200D0, "GPIO_52" },
    { 0xC02200D4, "GPIO_53" },
    { 0xC02200D8, "GPIO_54" },
    { 0xC02200DC, "GPIO_55" },
    { 0xC02200E0, "GPIO_56" },
    { 0xC02200E4, "GPIO_57" },
    { 0xC02200E8, "GPIO_58" },
    { 0xC02200EC, "GPIO_59" },
    { 0xC02200F0, "GPIO_60" },
    { 0xC02200F4, "GPIO_61" },
    { 0xC02200F8, "GPIO_62" },
    { 0xC02200FC, "GPIO_63" },
    { 0xC0220100, "GPIO_64" },
    { 0xC0220104, "GPIO_65" },
    { 0xC0220108, "GPIO_66" },
    { 0xC022010C, "GPIO_67" },
    { 0xC0220110, "GPIO_68" },
    { 0xC0220114, "GPIO_69" },
    { 0xC0220118, "GPIO_70" },
    { 0xC022011C, "GPIO_71" },
    { 0xC0220120, "GPIO_72" },
    { 0xC0220124, "GPIO_73" },
    { 0xC0220128, "GPIO_74" },
    { 0xC022012C, "GPIO_75" },
    { 0xC0220130, "GPIO_76" },
    { 0xC0220134, "GPIO_77" },
    { 0xC0220138, "GPIO_78" },
    { 0xC022013C, "GPIO_79" },
    { 0xC0220140, "GPIO_80" },
    { 0xC0220144, "GPIO_81" },
    { 0xC0220148, "GPIO_82" },
    { 0xC022014C, "GPIO_83" },
    { 0xC0220150, "GPIO_84" },
    { 0xC0220154, "GPIO_85" },
    { 0xC0220158, "GPIO_86" },
    { 0xC022015C, "GPIO_87" },
    { 0xC0220160, "GPIO_88" },
    { 0xC0220164, "GPIO_89" },
    { 0xC0220168, "GPIO_90" },
    { 0xC022016C, "GPIO_91" },
    { 0xC0221000, "FSSEL_0" },
    { 0xC0221004, "FSSEL_1" },
    { 0xC0221008, "FSSEL_2" },
    { 0xC022100C, "FSSEL_3" },
    { 0xC0221010, "FSSEL_4" },
    { 0xC0221014, "FSSEL_5" },
    { 0xC0221018, "FSSEL_6" },
    { 0xC022101C, "FSSEL_7" },
    { 0xC0221020, "FSSEL_8" },
    { 0xC0221024, "FSSEL_9" },
    { 0xC0221028, "FSSEL_10" },
    { 0xC022102C, "FSSEL_11" },
    { 0xC0221030, "FSSEL_12" },
    { 0xC0221034, "FSSEL_13" },
    { 0xC0221038, "FSSEL_14" },
    { 0xC022103C, "FSSEL_15" },
    { 0xC0221040, "FSSEL_16" },
    { 0xC0221044, "FSSEL_17" },
    { 0xC0221048, "FSSEL_18" },
    { 0xC022104C, "FSSEL_19" },
    { 0xC0221050, "FSSEL_20" },
    { 0xC0221054, "FSSEL_21" },
    { 0xC0221110, "BUSSEL_A" },
    { 0xC0221114, "BUSSEL_D" },
    { 0xC0221128, "BUSSEL_B" },
    { 0xC022112C, "BUSSEL_C" },
    { 0xC0221200, "OPSEL_0" },
    { 0xC0221204, "OPSEL_1" },
    { 0xC0221208, "OPSEL_2" },
    { 0xC022120C, "OPSEL_3" },
    { 0xC0221210, "OPSEL_4" },
    { 0xC0221214, "OPSEL_5" },
    { 0xC0221218, "OPSEL_6" },
    { 0xC022121C, "OPSEL_7" },
    { 0xC0221220, "OPSEL_8" },
    { 0xC0221224, "OPSEL_9" },
    { 0xC0221228, "OPSEL_10" },
    { 0xC022122C, "OPSEL_11" },
    { 0xC0221230, "OPSEL_12" },
    { 0xC0221234, "OPSEL_13" },
    { 0xC0221238, "OPSEL_14" },
    { 0xC022123C, "OPSEL_15" },
    { 0xC0221240, "OPSEL_16" },
    { 0xC0221244, "OPSEL_17" },
    { 0xC0221248, "OPSEL_18" },
    { 0xC022124C, "OPSEL_19" },
    { 0xC0221250, "OPSEL_20" },
    { 0xC0221254, "OPSEL_21" },
    { 0xC0221258, "OPSEL_22" },
    { 0xC022125C, "OPSEL_23" },
    { 0xC0221260, "OPSEL_24" },
    { 0xC0221264, "OPSEL_25" },
    { 0xC0221268, "OPSEL_26" },
    { 0xC022126C, "OPSEL_27" },
    { 0xC0221270, "OPSEL_28" },
    { 0xC0221274, "OPSEL_29" },
    { 0xC0221278, "OPSEL_30" },
    { 0xC022127C, "OPSEL_31" },
    { 0xC0221280, "OPSEL_32" },
    { 0xC0221284, "OPSEL_33" },
    { 0xC0221288, "OPSEL_34" },
    { 0xC022128C, "OPSEL_35" },
    { 0xC0221290, "OPSEL_36" },
    { 0xC0221294, "OPSEL_37" },
    { 0xC0221298, "OPSEL_38" },
    { 0xC022129C, "OPSEL_39" },
    { 0xC02212A0, "OPSEL_40" },
    { 0xC02212A4, "OPSEL_41" },
    { 0xC02212A8, "OPSEL_42" },
    { 0xC02212AC, "OPSEL_43" },
    { 0xC02212B0, "OPSEL_44" },
    { 0xC02212B4, "OPSEL_45" },
    { 0xC02212B8, "OPSEL_46" },
    { 0xC02212BC, "OPSEL_47" },
    { 0xC02212C0, "OPSEL_48" },
    { 0xC0221800, "OPSEL_49" },
    { 0xC0221804, "OPSEL_50" },
    { 0xC0221808, "OPSEL_51" },
    { 0xC022180C, "OPSEL_52" },
    { 0xC0221810, "OPSEL_53" },
    { 0xC0221814, "OPSEL_54" },
    { 0xC0221818, "OPSEL_55" },
    { 0xC022181C, "OPSEL_56" },
    { 0xC0221820, "OPSEL_57" },
    { 0xC0221824, "OPSEL_58" },
    { 0xC0221828, "OPSEL_59" },
    { 0xC022182C, "OPSEL_60" },
    { 0xC0221830, "OPSEL_61" },
    { 0xC0221834, "OPSEL_62" },
    { 0xC0221838, "OPSEL_63" },
    { 0xC022183C, "OPSEL_64" },
    { 0xC0221840, "OPSEL_65" },
    { 0xC0221844, "OPSEL_66" },
    { 0xC0221848, "OPSEL_67" },
    { 0xC022184C, "OPSEL_68" },
    { 0xC0221850, "OPSEL_69" },
    { 0xC0221854, "OPSEL_70" },
    { 0xC0221858, "OPSEL_71" },
    { 0xC022185C, "OPSEL_72" },
    { 0xC0221860, "OPSEL_73" },
    { 0xC0221864, "OPSEL_74" },
    { 0xC0221868, "OPSEL_75" },
    { 0xC022186C, "OPSEL_76" },
    { 0xC0221870, "OPSEL_77" },
    { 0xC0221874, "OPSEL_78" },
    { 0xC0221878, "OPSEL_79" },
    { 0xC022187C, "OPSEL_80" },
    { 0xC022C004, "CF_IORD" },
    { 0xC022C008, "CF_IOWR" },
    { 0xC022C00C, "CF_WE" },
    { 0xC022C010, "CF_CD0" },
    { 0xC022C014, "CF_CD1" },
    { 0xC022C018, "CF_CE2" },
    { 0xC022C01C, "CF_INT" },
    { 0xC022C020, "CF_OE" },
    { 0xC022C024, "CF_WAIT" },
    { 0xC022C028, "CF_CE1" },
    { 0xC022C02C, "CCDCLK" },
    { 0xC022C060, "SSG_0" },
    { 0xC022C064, "SSG_1" },
    { 0xC022C068, "SSG_2" },
    { 0xC022C06C, "SSG_3" },
    { 0xC022C070, "SSG_4" },
    { 0xC022C074, "SSG_5" },
    { 0xC022C078, "SSG_6" },
    { 0xC022C07C, "ELCYB_0" },
    { 0xC022C080, "ELCYB_1" },
    { 0xC022C084, "ELCYB_2" },
    { 0xC022C088, "ELCYB_3" },
    { 0xC022C08C, "ELCYB_4" },
    { 0xC022C090, "ELCYB_5" },
    { 0xC022C094, "ELCYB_6" },
    { 0xC022C098, "ELCYB_7" },
    { 0xC022C09C, "ELCYCLK" },
    { 0xC022C0A0, "ELCYH" },
    { 0xC022C0A4, "ELCYV" },
    { 0xC022C0A8, "TGCLK" },
    { 0xC022C0AC, "GPIO_0" },
    { 0xC022C0B0, "GPIO_1" },
    { 0xC022C0B4, "GPIO_2" },
    { 0xC022C0B8, "GPIO_3" },
    { 0xC022C0BC, "GPIO_4" },
    { 0xC022C0C0, "GPIO_5" },
    { 0xC022C0C4, "GPIO_6" },
    { 0xC022C0C8, "GPIO_7" },
    { 0xC022C0CC, "GPIO_8" },
    { 0xC022C0D0, "GPIO_9" },
    { 0xC022C0D4, "GPIO_10" },
    { 0xC022C0D8, "GPIO_11" },
    { 0xC022C0DC, "GPIO_12" },
    { 0xC022C0E0, "GPIO_13" },
    { 0xC022C0E4, "GPIO_14" },
    { 0xC022C0E8, "GPIO_15" },
    { 0xC022C0EC, "GPIO_16" },
    { 0xC022C0F0, "GPIO_17" },
    { 0xC022C0F4, "GPIO_18" },
    { 0xC022C0F8, "GPIO_19" },
    { 0xC022C0FC, "GPIO_20" },
    { 0xC022C100, "GPIO_21" },
    { 0xC022C104, "GPIO_22" },
    { 0xC022C108, "GPIO_23" },
    { 0xC022C10C, "GPIO_24" },
    { 0xC022C110, "GPIO_25" },
    { 0xC022C114, "GPIO_26" },
    { 0xC022C118, "GPIO_27" },
    { 0xC022C11C, "GPIO_28" },
    { 0xC022C120, "GPIO_29" },
    { 0xC022C124, "GPIO_30" },
    { 0xC022C128, "GPIO_31" },
    { 0xC022C12C, "GPIO_32" },
    { 0xC022C130, "GPIO_33" },
    { 0xC022C134, "GPIO_34" },
    { 0xC022C138, "GPIO_35" },
    { 0xC022C13C, "GPIO_36" },
    { 0xC022C140, "GPIO_37" },
    { 0xC022C144, "GPIO_38" },
    { 0xC022C148, "GPIO_39" },
    { 0xC022C14C, "GPIO_40" },
    { 0xC022C150, "GPIO_41" },
    { 0xC022C154, "GPIO_42" },
    { 0xC022C158, "GPIO_43" },
    { 0xC022C15C, "GPIO_44" },
    { 0xC022C160, "GPIO_45" },
    { 0xC022C164, "GPIO_46" },
    { 0xC022C168, "GPIO_47" },
    { 0xC022C16C, "GPIO_48" },
    { 0xC022C170, "GPIO_49" },
    { 0xC022C174, "GPIO_50" },
    { 0xC022C178, "GPIO_51" },
    { 0xC022C17C, "GPIO_52" },
    { 0xC022C180, "GPIO_53" },
    { 0xC022C184, "GPIO_54" },
    { 0xC022C188, "GPIO_55" },
    { 0xC022C18C, "GPIO_56" },
    { 0xC022C190, "GPIO_57" },
    { 0xC022C194, "GPIO_58" },
    { 0xC022C198, "GPIO_59" },
    { 0xC022C19C, "GPIO_60" },
    { 0xC022C1A0, "GPIO_61" },
    { 0xC022C1A4, "GPIO_62" },
    { 0xC022C1A8, "GPIO_63" },
    { 0xC022C1AC, "GPIO_64" },
    { 0xC022C1B0, "GPIO_65" },
    { 0xC022C1B4, "GPIO_66" },
    { 0xC022C1B8, "GPIO_67" },
    { 0xC022C1BC, "GPIO_68" },
    { 0xC022C1C0, "GPIO_69" },
    { 0xC022C1C4, "GPIO_70" },
    { 0xC022C1C8, "GPIO_71" },
    { 0xC022C1CC, "GPIO_72" },
    { 0xC022C1D0, "GPIO_73" },
    { 0xC022C1D4, "GPIO_74" },
    { 0xC022C1D8, "GPIO_75" },
    { 0xC022C1DC, "GPIO_76" },
    { 0xC022C1E0, "GPIO_77" },
    { 0xC022C1E4, "GPIO_78" },
    { 0xC022C1E8, "GPIO_79" },
    { 0xC022C1EC, "MON_0" },
    { 0xC022C1F0, "MON_1" },
    { 0xC022C1F4, "MON_2" },
    { 0xC022C1F8, "MON_3" },
    { 0xC022C1FC, "DSPL" },
    { 0xC022C200, "DSPR" },
    { 0xC022C204, "RXD0" },
    { 0xC022C208, "TXD0" },
    { 0xC022C23C, "ROMCE" },
    { 0xC022C240, "ROMOE" },
    { 0xC022C244, "ROMWE" },
    { 0xC022C248, "ROMD_0" },
    { 0xC022C24C, "ROMD_1" },
    { 0xC022C250, "ROMD_2" },
    { 0xC022C254, "ROMD_3" },
    { 0xC022C258, "ROMD_4" },
    { 0xC022C25C, "ROMD_5" },
    { 0xC022C260, "ROMD_6" },
    { 0xC022C264, "ROMD_7" },
    { 0xC022C268, "ROMD_8" },
    { 0xC022C26C, "ROMD_9" },
    { 0xC022C270, "ROMD_10" },
    { 0xC022C274, "ROMD_11" },
    { 0xC022C278, "ROMD_12" },
    { 0xC022C27C, "ROMD_13" },
    { 0xC022C280, "ROMD_14" },
    { 0xC022C284, "ROMD_15" },
    { 0xC022C288, "ROMA_0" },
    { 0xC022C28C, "ROMA_1" },
    { 0xC022C290, "ROMA_2" },
    { 0xC022C294, "ROMA_3" },
    { 0xC022C298, "ROMA_4" },
    { 0xC022C29C, "ROMA_5" },
    { 0xC022C2A0, "ROMA_6" },
    { 0xC022C2A4, "ROMA_7" },
    { 0xC022C2A8, "ROMA_8" },
    { 0xC022C2AC, "ROMA_9" },
    { 0xC022C2B0, "ROMA_10" },
    { 0xC022C2B4, "ROMA_11" },
    { 0xC022C2B8, "ROMA_12" },
    { 0xC022C2BC, "ROMA_13" },
    { 0xC022C2C0, "ROMA_14" },
    { 0xC022C2C4, "ROMA_15" },
    { 0xC022C2C8, "ROMA_16" },
    { 0xC022C2CC, "ROMA_17" },
    { 0xC022C2D0, "ROMA_18" },
    { 0xC022C2D4, "ROMA_19" },
    { 0xC022C2D8, "ROMA_20" },
    { 0xC022C2DC, "ROMA_21" },
    { 0xC022C2E0, "ROMA_22" },
    { 0xC022C504, "CF_IORD" },
    { 0xC022C508, "CF_IOWR" },
    { 0xC022C50C, "CF_WE" },
    { 0xC022C510, "CF_CD0" },
    { 0xC022C514, "CF_CD1" },
    { 0xC022C518, "CF_CE2" },
    { 0xC022C51C, "CF_INT" },
    { 0xC022C520, "CF_OE" },
    { 0xC022C524, "CF_WAIT" },
    { 0xC022C528, "CF_CE1" },
    { 0xC022C52C, "CCDCLK" },
    { 0xC022C560, "SSG_0" },
    { 0xC022C564, "SSG_1" },
    { 0xC022C568, "SSG_2" },
    { 0xC022C56C, "SSG_3" },
    { 0xC022C570, "SSG_4" },
    { 0xC022C574, "SSG_5" },
    { 0xC022C578, "SSG_6" },
    { 0xC022C57C, "ELCYB_0" },
    { 0xC022C580, "ELCYB_1" },
    { 0xC022C584, "ELCYB_2" },
    { 0xC022C588, "ELCYB_3" },
    { 0xC022C58C, "ELCYB_4" },
    { 0xC022C590, "ELCYB_5" },
    { 0xC022C594, "ELCYB_6" },
    { 0xC022C598, "ELCYB_7" },
    { 0xC022C59C, "ELCYCLK" },
    { 0xC022C5A0, "ELCYH" },
    { 0xC022C5A4, "ELCYV" },
    { 0xC022C5A8, "TGCLK" },
    { 0xC022C5AC, "GPIO_0" },
    { 0xC022C5B0, "GPIO_1" },
    { 0xC022C5B4, "GPIO_2" },
    { 0xC022C5B8, "GPIO_3" },
    { 0xC022C5BC, "GPIO_4" },
    { 0xC022C5C0, "GPIO_5" },
    { 0xC022C5C4, "GPIO_6" },
    { 0xC022C5C8, "GPIO_7" },
    { 0xC022C5CC, "GPIO_8" },
    { 0xC022C5D0, "GPIO_9" },
    { 0xC022C5D4, "GPIO_10" },
    { 0xC022C5D8, "GPIO_11" },
    { 0xC022C5DC, "GPIO_12" },
    { 0xC022C5E0, "GPIO_13" },
    { 0xC022C5E4, "GPIO_14" },
    { 0xC022C5E8, "GPIO_15" },
    { 0xC022C5EC, "GPIO_16" },
    { 0xC022C5F0, "GPIO_17" },
    { 0xC022C5F4, "GPIO_18" },
    { 0xC022C5F8, "GPIO_19" },
    { 0xC022C5FC, "GPIO_20" },
    { 0xC022C600, "GPIO_21" },
    { 0xC022C604, "GPIO_22" },
    { 0xC022C608, "GPIO_23" },
    { 0xC022C60C, "GPIO_24" },
    { 0xC022C610, "GPIO_25" },
    { 0xC022C614, "GPIO_26" },
    { 0xC022C618, "GPIO_27" },
    { 0xC022C61C, "GPIO_28" },
    { 0xC022C620, "GPIO_29" },
    { 0xC022C624, "GPIO_30" },
    { 0xC022C628, "GPIO_31" },
    { 0xC022C62C, "GPIO_32" },
    { 0xC022C630, "GPIO_33" },
    { 0xC022C634, "GPIO_34" },
    { 0xC022C638, "GPIO_35" },
    { 0xC022C63C, "GPIO_36" },
    { 0xC022C640, "GPIO_37" },
    { 0xC022C644, "GPIO_38" },
    { 0xC022C648, "GPIO_39" },
    { 0xC022C64C, "GPIO_40" },
    { 0xC022C650, "GPIO_41" },
    { 0xC022C654, "GPIO_42" },
    { 0xC022C658, "GPIO_43" },
    { 0xC022C65C, "GPIO_44" },
    { 0xC022C660, "GPIO_45" },
    { 0xC022C664, "GPIO_46" },
    { 0xC022C668, "GPIO_47" },
    { 0xC022C66C, "GPIO_48" },
    { 0xC022C670, "GPIO_49" },
    { 0xC022C674, "GPIO_50" },
    { 0xC022C678, "GPIO_51" },
    { 0xC022C67C, "GPIO_52" },
    { 0xC022C680, "GPIO_53" },
    { 0xC022C684, "GPIO_54" },
    { 0xC022C688, "GPIO_55" },
    { 0xC022C68C, "GPIO_56" },
    { 0xC022C690, "GPIO_57" },
    { 0xC022C694, "GPIO_58" },
    { 0xC022C698, "GPIO_59" },
    { 0xC022C69C, "GPIO_60" },
    { 0xC022C6A0, "GPIO_61" },
    { 0xC022C6A4, "GPIO_62" },
    { 0xC022C6A8, "GPIO_63" },
    { 0xC022C6AC, "GPIO_64" },
    { 0xC022C6B0, "GPIO_65" },
    { 0xC022C6B4, "GPIO_66" },
    { 0xC022C6B8, "GPIO_67" },
    { 0xC022C6BC, "GPIO_68" },
    { 0xC022C6C0, "GPIO_69" },
    { 0xC022C6C4, "GPIO_70" },
    { 0xC022C6C8, "GPIO_71" },
    { 0xC022C6CC, "GPIO_72" },
    { 0xC022C6D0, "GPIO_73" },
    { 0xC022C6D4, "GPIO_74" },
    { 0xC022C6D8, "GPIO_75" },
    { 0xC022C6DC, "GPIO_76" },
    { 0xC022C6E0, "GPIO_77" },
    { 0xC022C6E4, "GPIO_78" },
    { 0xC022C6E8, "GPIO_79" },
    { 0xC022C6EC, "MON_0" },
    { 0xC022C6F0, "MON_1" },
    { 0xC022C6F4, "MON_2" },
    { 0xC022C6F8, "MON_3" },
    { 0xC022C6FC, "DSPL" },
    { 0xC022C700, "DSPR" },
    { 0xC022C704, "RXD0" },
    { 0xC022C708, "TXD0" },
    { 0xC022C73C, "ROMCE" },
    { 0xC022C740, "ROMOE" },
    { 0xC022C744, "ROMWE" },
    { 0xC022C748, "ROMD_0" },
    { 0xC022C74C, "ROMD_1" },
    { 0xC022C750, "ROMD_2" },
    { 0xC022C754, "ROMD_3" },
    { 0xC022C758, "ROMD_4" },
    { 0xC022C75C, "ROMD_5" },
    { 0xC022C760, "ROMD_6" },
    { 0xC022C764, "ROMD_7" },
    { 0xC022C768, "ROMD_8" },
    { 0xC022C76C, "ROMD_9" },
    { 0xC022C770, "ROMD_10" },
    { 0xC022C774, "ROMD_11" },
    { 0xC022C778, "ROMD_12" },
    { 0xC022C77C, "ROMD_13" },
    { 0xC022C780, "ROMD_14" },
    { 0xC022C784, "ROMD_15" },
    { 0xC022C788, "ROMA_0" },
    { 0xC022C78C, "ROMA_1" },
    { 0xC022C790, "ROMA_2" },
    { 0xC022C794, "ROMA_3" },
    { 0xC022C798, "ROMA_4" },
    { 0xC022C79C, "ROMA_5" },
    { 0xC022C7A0, "ROMA_6" },
    { 0xC022C7A4, "ROMA_7" },
    { 0xC022C7A8, "ROMA_8" },
    { 0xC022C7AC, "ROMA_9" },
    { 0xC022C7B0, "ROMA_10" },
    { 0xC022C7B4, "ROMA_11" },
    { 0xC022C7B8, "ROMA_12" },
    { 0xC022C7BC, "ROMA_13" },
    { 0xC022C7C0, "ROMA_14" },
    { 0xC022C7C4, "ROMA_15" },
    { 0xC022C7C8, "ROMA_16" },
    { 0xC022C7CC, "ROMA_17" },
    { 0xC022C7D0, "ROMA_18" },
    { 0xC022C7D4, "ROMA_19" },
    { 0xC022C7D8, "ROMA_20" },
    { 0xC022C7DC, "ROMA_21" },
    { 0xC022C7E0, "ROMA_22" },
    { 0x0,        NULL},
};

// external linking, to prevent unused warning
struct bufcon_label * __bufcon_label_100D_dummy = bufcon_label_100D;
#endif

